package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class KategoryDokumen
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "KategoryDokumen_M")
public class KategoryDokumenVO extends BaseMasterVO {
	@Caption(value = "Kategory Dokumen")
	private String kategoryDokumen;

	public void setKategoryDokumen(String kategoryDokumen) {
		this.kategoryDokumen = kategoryDokumen;
	}

	@Column(name = "KategoryDokumen", nullable = false, length = 30)
	public String getKategoryDokumen() {
		return this.kategoryDokumen;
	}

	@Caption(value = "Kode Kategory Dokumen")
	private Byte kdKategoryDokumen;

	public void setKdKategoryDokumen(Byte kdKategoryDokumen) {
		this.kdKategoryDokumen = kdKategoryDokumen;
	}

	@Column(name = "KdKategoryDokumen", nullable = false)
	public Byte getKdKategoryDokumen() {
		return this.kdKategoryDokumen;
	}

	@Caption(value = "QKategory Dokumen")
	private Byte qKategoryDokumen;

	public void setqKategoryDokumen(Byte qKategoryDokumen) {
		this.qKategoryDokumen = qKategoryDokumen;
	}

	@Column(name = "QKategoryDokumen", nullable = false)
	public Byte getqKategoryDokumen() {
		return this.qKategoryDokumen;
	}

/*	//
	@OneToMany(fetch = FetchType.LAZY, cascade = CascadeType.ALL, mappedBy = "kdkategorydokumen")
	private Set<Dokumen> DokumenSet = new HashSet<Dokumen>();

	public Set<Dokumen> getDokumenSet() {
		return DokumenSet;
	}

	public void setDokumenSet(Set<Dokumen> dokumenSet) {
		DokumenSet = dokumenSet;
	}*/
}
